# Class GetDisputesRequest

#### Hierarchy

- unknown
  - GetDisputesRequest

- Defined in src/protobuf/grpc_pb.d.ts:406
- Defined in src/protobuf/grpc_pb.d.ts:415

#####
Index

### Constructors

constructor

### Methods

serializeBinary
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new GetDisputesRequest(): GetDisputesRequest

- #### Returns GetDisputesRequest

  Inherited from jspb.Message.constructor

## Methods

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:407

### toObject

- toObject(includeInstance?: boolean): GetDisputesRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns GetDisputesRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:408

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetDisputesRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetDisputesRequest

  - Defined in src/protobuf/grpc_pb.d.ts:411

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetDisputesRequest, reader: BinaryReader): GetDisputesRequest

- #### Parameters

  - ##### message: GetDisputesRequest

  - ##### reader: BinaryReader

  #### Returns GetDisputesRequest

  - Defined in src/protobuf/grpc_pb.d.ts:412

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: GetDisputesRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: GetDisputesRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:410

### `Static` toObject

- toObject(includeInstance: boolean, msg: GetDisputesRequest): GetDisputesRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetDisputesRequest

  #### Returns GetDisputesRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:409

Generated using TypeDoc